CONDOR_UPDATE_MACHINE_AD(1)

NAME
condor_update_machine_ad - HTCondor Manual

update a machine ClassAd

SYNOPSIS

condor_update_machine_ad [-help | -version ]

condor_update_machine_ad [-pool centralmanagerhostname[:portnumber]] [-name startdname] path/to/update-ad

DESCRIPTION

condor_update_machine_ad modifies the specified condor_startd daemon's machine ClassAd. The ClassAd in the file given by path/to/update-ad represents the changed attributes. The changes persists until the condor_startd restarts. If no file is specified on the command line, condor_update_machine_ad reads the update ClassAd from stdin.

Contents of the file or stdin must contain a complete ClassAd. Each line must be terminated by a newline character, including the last line of the file. Lines are of the form

            <attribute> = <value>

Changes to certain ClassAd attributes will cause the condor_startd to regenerate values for other ClassAd attributes. An example of this is setting HasVM <href="../classad-attributes/machine-classad-attributes.html#HasVM">. This will cause OfflineUniverses <href="../classad-attributes/machine-classad-attributes.html#OfflineUniverses">, VMOfflineTime <href="../classad-attributes/machine-classad-attributes.html#VMOfflineTime">, and VMOfflineReason <href="../classad-attributes/machine-classad-attributes.html#VMOfflineReason"> to change.

OPTIONS

            -help
                Display usage information and exit

            -version
                Display the HTCondor version and exit

            -pool centralmanagerhostname[:portnumber]
                Specify a pool by giving the central manager's host name and an optional port number

            -name startdname
                Send the command to a machine identified by startdname

GENERAL REMARKS

This tool is intended for the use of system administrators when dealing with offline universes.

EXAMPLES

To re-enable matching with the VM universe jobs, place on stdin a complete ClassAd (including the ending newline character) to change the value of ClassAd attribute HasVM <href="../classad-attributes/machine-classad-attributes.html#HasVM">:

            $ echo "HasVM = True
            " | condor_update_machine_ad

To prevent vm universe jobs from matching with the machine:

            $ echo "HasVM = False
            " | condor_update_machine_ad

To prevent vm universe jobs from matching with the machine and specify a reason:

            $ echo "HasVM = False
            VMOfflineReason = \"Cosmic rays.\"
            " | condor_update_machine_ad

Note that the quotes around the reason are required by ClassAds, and they must be escaped because of the shell. Using a file instead of stdin may be preferable in these situations, because neither quoting nor escape characters are needed.

EXIT STATUS

condor_update_machine_ad will exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

Author
HTCondor Team

Copyright
1990-2026, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.